Bug 8821 - Receive shipment page should hide inactive funds like new order form does
Summary: Receive shipment page should hide inactive funds like new order form does
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-25 19:24 UTC by Owen Leonard
Modified: 2014-05-26 21:04 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 8821 - Receive shipment page should hide inactive funds like new order form (4.28 KB, patch)
2012-09-25 19:48 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8821 - Receive shipment page should hide inactive funds like new order form (5.25 KB, patch)
2013-07-19 13:11 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 8821 - Receive shipment page should hide inactive funds like new order form (5.26 KB, patch)
2013-08-02 17:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 8821 - Receive shipment page should hide inactive funds like new order form (5.32 KB, patch)
2013-08-26 15:08 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2012-09-25 19:24:27 UTC
When adding an order the option to select a fund is limited to active funds, with the option to show inactive ones. The receive shipment form has a similar option to choose a fund. It should be consistent with the other page, with the same default and options.
Comment 1 Owen Leonard 2012-09-25 19:48:49 UTC Comment hidden (obsolete)
Comment 2 Owen Leonard 2012-09-26 17:41:02 UTC
Forgot about the changes which had been pending to neworderempty.pl in Bug 8659. I need to integrate those into this patch.
Comment 3 Katrin Fischer 2012-12-27 10:57:20 UTC
I just ran into this on master.
Comment 4 Owen Leonard 2013-07-19 13:11:18 UTC Comment hidden (obsolete)
Comment 5 Srdjan Jankovic 2013-07-25 03:04:34 UTC
Hi Owen,
Can I assume that the first patch is obsolete?
Comment 6 Kyle M Hall 2013-08-02 17:35:30 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2013-08-26 15:08:23 UTC
QA comment:

Same code from neworderempty.pl is used on parcels.pl but not easy to refactore. The JS code should certainly be simplified.
But it works.

Marked as Passed QA.
Comment 8 Jonathan Druart 2013-08-26 15:08:40 UTC
Created attachment 20630 [details] [review]
Bug 8821 - Receive shipment page should hide inactive funds like new order form

This patch adapts the fund-handling code from neworderempty.pl
in order to limit the display of funds by default to active ones,
with the option to check a box to display all funds.

This patch also adds "(inactive)" to the display of funds on this and
the neworderempty.tt template because it seemed like that was useful
information.

To test, make sure you have both active and inactive funds.
Start the process of receiving a shipment. The "fund" option
in the receive shipment form should show only active funds.
Checking the "show all" checkbox should allow you to choose
from both active and inactive funds.

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 9 Katrin Fischer 2013-09-09 21:12:36 UTC
Hi Jonathan - should this be passed QA?
Comment 10 Jonathan Druart 2013-09-10 07:06:30 UTC
Yes of course, I forgot to change the status.
Comment 11 Galen Charlton 2013-09-16 16:27:54 UTC
Pushed to master.  Thanks, Owen!
Comment 12 Tomás Cohen Arazi 2013-11-07 17:56:47 UTC
This patch has been pushed to 3.12.x, will be in 3.12.7.

Thanks Owen!